Foreman - Bug #18929

rails-observer dependency required for TopbarSweeper
03/16/2017 05:05 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Packaging
Target version: 1.14.3
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4382
Description

| erroneously removed the explicit rails-observer dep in #14434, but the sweeper functionality used by TopbarSweeper is provided by
the rails-observer gem, so the dependency should be restored. (At least while TopbarSweeper exists; | think the remainder of the
token refactoring in #14434 remains beneficial.)

Currently rails-observer is installed as a dependency of the audited gem, so it does still work.

Associated revisions

Revision 73e9ceb8 - 03/19/2017 03:08 AM - Dominic Cleal

fixes #18929 - add rails-observers dep for TopbarSweeper

0443e85 was in error in removing the dependency, as this sweeper
functionality is also provided by rails-observers.

Revision 5e8ada8e - 03/28/2017 11:47 AM - Dominic Cleal
fixes #18929 - add rails-observers dep for TopbarSweeper

0443e85 was in error in removing the dependency, as this sweeper
functionality is also provided by rails-observers.

(cherry picked from commit 73e9ceb89fd774237f817276228aa85fd9b72efd)

History

#1 - 03/16/2017 05:06 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4382 added

#2 - 03/19/2017 04:01 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 73e9ceb89fd774237f817276228aa85fd9b72efd.

#3 - 03/20/2017 04:42 AM - Dominic Cleal

- translation missing: en.field_release set to 227
